﻿import { IData } from "@/components/data-detail-display";
import { FieldTypeEnum } from "@/components/data-detail-display/enum";

const detailConfig: { title: string; dataField: string; fields: Array<IData> } = {
    title: "详情",
    dataField: "",
    fields: [
     {% for field in ModelFields %}
       {% if  field.DbColumnName contains 'Image' or field.DbColumnName contains 'image' or field.DbColumnName contains 'thumbnail'  or field.DbColumnName contains 'Thumbnail' %}
          { label: "{{field.ColumnDescription}}", key: "{{field.DbColumnName}}",type:FieldTypeEnum.PICTURE  },
       {% else %}
          { label: "{{field.ColumnDescription}}", key: "{{field.DbColumnName}}" },
       {% endif %}
     {% endfor %}
    ],
};

//IData
export default detailConfig;
